package de.ivu.elect.business.datei.entity;

import java.io.Serializable;

import javax.enterprise.event.Event;
import javax.inject.Inject;

public class DateiDownloadEvent implements Serializable {
  private static final long serialVersionUID = 1L;

  private final DateiPK dateiPK;

  @Inject
  Event<DateiDownloadEvent> event;

  public DateiDownloadEvent() {
    this(null);
  }

  public DateiDownloadEvent(DateiPK dateiPK) {
    this.dateiPK = dateiPK;
  }

  public void fire(DateiPK dateiPK) {
    event.fire(new DateiDownloadEvent(dateiPK));
  }

  public DateiPK getDateiPK() {
    return dateiPK;
  }
}
